LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XHierarchiesSupplier Interface Reference

provides access to the collection of hierarchies of a data pilot source dimension. More...

`import"XHierarchiesSupplier.idl";`

Inheritance diagram for XHierarchiesSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getHierarchies ()
| returns the collection of hierarchies. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the collection of hierarchies of a data pilot source dimension.

See also
  com::sun::star::sheet::DataPilotSourceDimension
  com::sun::star::sheet::DataPilotSource

## Member Function Documentation

## ◆ getHierarchies()

com::sun::star::container::XNameAccess getHierarchies | ( |  | ) |

returns the collection of hierarchies.

See also
  com::sun::star::sheet::DataPilotSourceHierarchies

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XHierarchiesSupplier.idl